Ruby: internal/cont.h File Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Functions
cont.h File Reference

Internal header for Fiber. More...

`#include "ruby/ruby.h"`

Go to the source code of this file.

## Functions
VALUE | rb_obj_is_fiber (VALUE)
void | rb_fiber_reset_root_local_storage (struct rb_thread_struct *)
void | ruby_register_rollback_func_for_ensure (VALUE(*ensure_func)(VALUE), VALUE(*rollback_func)(VALUE))
void | rb_fiber_init_mjit_cont (struct rb_fiber_struct *fiber)
VALUE | rb_fiberptr_self (struct rb_fiber_struct *fiber)
unsigned int | rb_fiberptr_blocking (struct rb_fiber_struct *fiber)

## Detailed Description

Internal header for Fiber.

Author
  Ruby developers ruby-.nosp@m.core.nosp@m.@ruby.nosp@m.-lan.nosp@m.g.org

Copyright
  This file is a part of the programming language Ruby. Permission is hereby granted, to either redistribute and/or modify this file, provided that the conditions mentioned in the file COPYING are met. Consult the file for details.

Definition in file cont.h.

## Function Documentation

## ◆ rb_fiber_init_mjit_cont()

void rb_fiber_init_mjit_cont | ( | struct rb_fiber_struct * | fiber | ) |

Definition at line 1165 of file cont.c.

References rb_fiber_struct::cont.

Referenced by rb_threadptr_root_fiber_setup().

## ◆ rb_fiber_reset_root_local_storage()

void rb_fiber_reset_root_local_storage | ( | struct rb_thread_struct * | th | ) |

Definition at line 2438 of file cont.c.

References rb_fiber_struct::cont, rb_thread_struct::ec, rb_execution_context_struct::fiber_ptr, rb_execution_context_struct::local_storage, rb_thread_struct::root_fiber, and rb_context_struct::saved_ec.

Referenced by ruby_vm_destruct().

## ◆ rb_fiberptr_blocking()

unsigned int rb_fiberptr_blocking | ( | struct rb_fiber_struct * | fiber | ) |

Definition at line 1158 of file cont.c.

References rb_fiber_struct::blocking.

## ◆ rb_fiberptr_self()

VALUE rb_fiberptr_self | ( | struct rb_fiber_struct * | fiber | ) |

Definition at line 1153 of file cont.c.

References rb_fiber_struct::cont, and rb_context_struct::self.

## ◆ rb_obj_is_fiber()

VALUE rb_obj_is_fiber | ( | VALUE | obj | ) |

Definition at line 1060 of file cont.c.

References Qfalse, Qtrue, and rb_typeddata_is_kind_of().

Referenced by rb_objspace_call_finalizer().

## ◆ ruby_register_rollback_func_for_ensure()

void ruby_register_rollback_func_for_ensure | ( | VALUE(*)(VALUE) | ensure_func,
|  | VALUE(*)(VALUE) | rollback_func
| ) |  |